%define with_xml	0

Summary: A library for supporting Open Financial Exchange (OFX)
Name: libofx
Version: 0.9.0
Release: 1
Source: http://downloads.sourceforge.net/libofx/%{name}-%{version}.tar.gz
URL: http://libofx.sourceforge.net/
Group:	System Environment/Libraries
License: GPLv2+
Patch1: libofx-0.8.3-xml++.patch
Patch2: libofx-assorted-c++-fu.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: opensp-devel
BuildRequires: curl-devel
%if %{with_xml}
BuildRequires: libxml++-devel
BuildRequires: autoconf
%endif
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
This is the LibOFX library.  It is a API designed to allow applications to
very easily support OFX command responses, usually provided by financial
institutions.  See http://www.ofx.net/ofx/default.asp for details and
specification. 

%package -n ofx
Summary: Tools for manipulating OFX data
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}

%description -n ofx
The ofx package contains tools for manipulating OFX data from the
command line; they are often used when testing libofx.

%package devel
Summary: Development files needed for accessing OFX data
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: opensp-devel

%description devel
The libofx-devel contains the header files and libraries necessary
for building applications that use libofx.

%prep
%setup -q
%if %{with_xml}
%patch1 -p1
autoconf
%endif
%patch2 -p1 -b .c++-fu

rm -rf ./doc/ofx_sample_files/CVS
chmod 644 ./doc/ofx_sample_files/*

%build
%configure --with-opensp-libs=%{_libdir} --disable-static --disable-rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT/%{_libdir}/*a $RPM_BUILD_ROOT/%{_datadir}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README totest.txt
%{_libdir}/*.so.*
%{_datadir}/libofx

%files -n ofx
%defattr(-,root,root)
%{_bindir}/*

%files devel
%defattr(-,root,root)
%doc doc/html doc/ofx_sample_files
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so

%changelog
* Tue Sep  9 2008 Bill Nottingham <notting@redhat.com> - 0.9.0-1
- update to 0.9.0

* Thu Feb 14 2008 Bill Nottingham <notting@redhat.com> - 0.8.3-5
- fix build with gcc-4.3
- add patch for other account types (#415961)

* Wed Oct 10 2007 Bill Nottingham <notting@redhat.com> - 0.8.3-4
- rebuild for buildid

* Fri Aug  3 2007 Bill Nottingham <notting@redhat.com>
- tweak license tag

* Tue Jan  9 2007 Bill Nottingham <notting@redhat.com> - 0.8.3-3
- update to 0.8.3
- add in (not used) xml++ support pending upstream
- add opensp-devel buildreq, remove INSTALL
- split off binaries into ofx package

* Mon Jan  8 2007 Bill Nottingham <notting@redhat.com> - 0.8.2-3
- spec tweaks

* Mon Aug 28 2006 Bill Nottingham <notting@redhat.com> - 0.8.2-1
- update to 0.8.2

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.8.0-3.1
- rebuild

* Tue Jul 11 2006 Bill Nottingham <notting@redhat.com> - 0.8.0-3
- own %%{_datadir}/libofx (#169336)

* Mon May 15 2006 Brian Pepple <bdpepple@ameritech.net> - 0.8.0-2.3
- Add BR for curl-devel.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.8.0-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.8.0-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Jan  6 2006 Nalin Dahyabhai <nalin@redhat.com> 0.8.0-2
- rebuild

* Tue Dec 20 2005 Bill Nottingham <notting@redhat.com> 0.8.0-1
- update to 0.8.0

* Tue Dec 13 2005 Tim Waugh <twaugh@redhat.com> 0.7.0-4
- Build requires: openjade-devel -> opensp-devel.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon May 23 2005 Bill Nottingham <notting@redhat.com> 0.7.0-3
- remove static libs

* Tue Mar  8 2005 Bill Nottingham <notting@redhat.com> 0.7.0-2
- fix build with gcc4

* Wed Feb  9 2005 Bill Nottingham <notting@redhat.com> 0.7.0-1
- update to 0.7.0

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com> 0.6.6-2
- rebuilt
- Add gcc 3.4 patch

* Fri Mar 12 2004 Bill Nottingham <notting@redhat.com> 0.6.6-1
- split off from gnucash, adapt upstream spec, add -devel package
